Package org.apache.qpid.proton.amqp.transport

# Interface FrameBody

All Known Implementing Classes:
  `Attach`, `Begin`, `Close`, `Detach`, `Disposition`, `EmptyFrame`, `End`, `Flow`, `Open`, `Transfer`

public interface FrameBody

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`FrameBody.FrameBodyHandler<E>`

## Method Summary

Modifier and Type
Method
Description
`FrameBody`
`copy()`
`<E> void`
`invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)`

## Method Details

### invoke

<E> void invoke(FrameBody.FrameBodyHandler<E> handler, Binary payload, E context)

### copy

FrameBody copy()

Returns:
  a deep copy of this FrameBody.